Page MenuHomePhabricator

Update JavaMelody on Gerrit to 1.86.0
Closed, ResolvedPublic

Description

Please update our Gerrit JavaMelody monitoring pluging from 1.74.0 to 1.82.0, which has fixed several bugs:

Release notes: https://github.com/javamelody/javamelody/wiki/ReleaseNotes

We have upgraded to 1.83.0 in June 2020 as part of the Gerrit 3.x upgrade.

Upstream now ships 1.86.0

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 11 2019, 9:34 PM
MarcoAurelio added a comment.EditedSep 11 2019, 9:46 PM

We however use v2.14-82-g0636afe. Do we have an update from Upstream Gerrit @Paladox? I don't see that version in https://gerrit.googlesource.com/plugins/javamelody/

The 2.14 is from the tag, the rest i'm not sure.

But anyways, yeh there is updates we need to apply from the stable-2.15 branch.

hashar added a subscriber: hashar.Sep 13 2019, 8:08 AM

The javamelody plugin is 1.75.0:

plugins/javamelody/external_plugin_deps.bzl
load("//tools/bzl:maven_jar.bzl", "maven_jar")

def external_plugin_deps():
    maven_jar(
        name = "javamelody-core",
        artifact = "net.bull.javamelody:javamelody-core:1.75.0",
        sha1 = "0568dded8ec5c7780cc5eab15bc39c0d6b643913",
    )

    maven_jar(
        name = "jrobin",
        artifact = "org.jrobin:jrobin:1.5.9",
        sha1 = "bd9a84484c67de930fa841f23cd6a93108b05cd0",
    )

The submodule repository https://gerrit.googlesource.com/plugins/javamelody only has tags v2.13 and v2.14 hence why git describe reports v2.14-82-g0636afe.

The difference we have between our submodule and the plugin repository stable-2.15 branch, ignoring the spammy upgrades to bazlets:

$ git log --oneline --no-merges   HEAD..origin/stable-2.15 |grep -E -v '(Update|Upgrade) bazlets '
06fd705 Bump required bazel version to 1.0.0rc2
1676b99 Bazel: Add fixes for --incompatible_load_java_rules_from_bzl
45cb5a9 Upgrade javamelody-core to 1.79.0
46c7f98 Upgrade javamelody-core to 1.78.0
2e77757 Make transitive starlark loads explicit
8c6209a Make transitive starlark loads explicit
c70934a Upgrade javamelody-core to 1.77.0
ce0c9c1 Extend ServletModule instead of HttpPluginModule
6f750fe Upgrade javamelody-core to 1.76.0
hashar renamed this task from Update JavaMelody to 1.79.0 to Update JavaMelody on Gerrit to 1.79.0.Sep 13 2019, 8:11 AM
hashar triaged this task as Medium priority.
hashar updated the task description. (Show Details)
hashar renamed this task from Update JavaMelody on Gerrit to 1.79.0 to Update JavaMelody on Gerrit to 1.80.0.Nov 5 2019, 8:17 PM
hashar updated the task description. (Show Details)
hashar renamed this task from Update JavaMelody on Gerrit to 1.80.0 to Update JavaMelody on Gerrit to 1.82.0.Mar 13 2020, 10:38 AM
hashar updated the task description. (Show Details)
hashar renamed this task from Update JavaMelody on Gerrit to 1.82.0 to Update JavaMelody on Gerrit to 1.85.0.Sep 28 2020, 9:28 AM
hashar updated the task description. (Show Details)

Change 630551 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/software/gerrit@deploy/wmf/stable-3.2] Upgrade javamelody from 1.83.0 to 1.85.0

https://gerrit.wikimedia.org/r/630551

hashar renamed this task from Update JavaMelody on Gerrit to 1.85.0 to Update JavaMelody on Gerrit to 1.86.0.Mon, Nov 9, 2:04 PM
hashar updated the task description. (Show Details)

Change 630551 merged by Hashar:
[operations/software/gerrit@deploy/wmf/stable-3.2] Upgrade javamelody from 1.83.0 to 1.86.0

https://gerrit.wikimedia.org/r/630551

Mentioned in SAL (#wikimedia-operations) [2020-11-09T14:07:14Z] <hashar@deploy1001> Started deploy [gerrit/gerrit@0a803e2]: Upgrade javamelody to 1.86.0 # T232678

Mentioned in SAL (#wikimedia-operations) [2020-11-09T14:07:32Z] <hashar@deploy1001> Finished deploy [gerrit/gerrit@0a803e2]: Upgrade javamelody to 1.86.0 # T232678 (duration: 00m 18s)

hashar closed this task as Resolved.Mon, Nov 9, 2:36 PM